package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BillPersonnelAdmission;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 入场申请 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBillPersonnelAdmissionService extends IService<BillPersonnelAdmission> {

    Result addAdmission(HttpServletRequest httpServletRequest, String admissionType, String vistitType, String userName, String phone, String workName, String papersType, String papersCode, MultipartFile imgUrl, String vistitDate, String vistitReson, String destId, String destName) throws IOException;

    Result listPersonalAdmission(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listAdmission(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result handleAdmission(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
